package com.tzld.longarticle.recommend.server.mapper.crawler;

import com.tzld.longarticle.recommend.server.model.dto.ArticleMatchVideos;
import com.tzld.longarticle.recommend.server.model.dto.GetOffVideos;
import com.tzld.longarticle.recommend.server.model.dto.LongArticlesRootSourceId;
import com.tzld.longarticle.recommend.server.model.dto.LongArticlesVideo;
import com.tzld.longarticle.recommend.server.model.entity.crawler.AccountCorrelation;

import java.util.List;

public interface CrawlerBaseMapper {

    void batchInsertAccountCorrelation(List<AccountCorrelation> list);

    Integer countGetOffVideos();

    List<GetOffVideos> pageGetOffVideos(int offset, int pageSize);

    Integer countLongArticlesRootSourceId();

    List<LongArticlesRootSourceId> pageLongArticlesRootSourceId(int offset, int pageSize);

    Integer countArticleMatchVideos();

    List<ArticleMatchVideos> pageArticleMatchVideos(int offset, int pageSize);

    Integer countLongArticlesVideos();

    List<LongArticlesVideo> pageLongArticlesVideos(int offset, int pageSize);
}
